Bug 1801436 - [baremetal] Localhost not added to bootstrap resolv.conf when using Ipv6
Summary: [baremetal] Localhost not added to bootstrap resolv.conf when using Ipv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Russell Bryant
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1798805 1801873
TreeView+ depends on / blocked
 
Reported: 2020-02-10 21:14 UTC by Russell Bryant
Modified: 2020-05-04 11:35 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1801873 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:35:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2982 None closed Bug 1801436: baremetal: Fix bootstrap local DNS for IPv6 2020-04-29 13:42:13 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:35:55 UTC

Description Russell Bryant 2020-02-10 21:14:03 UTC
A dhclient configuration option is used to add localhost to resolv.conf, but this does not work for Ipv6 clusters.  We must switch to a script run by Networkmanager instead.

https://github.com/openshift/installer/pull/2982

Comment 2 Marius Cornea 2020-02-11 18:50:07 UTC
Verified on 4.4.0-0.nightly-2020-02-11-124749

on the boostrap VM:

[core@localhost ~]$ cat /etc/resolv.conf 
# Generated by NetworkManager
nameserver 127.0.0.1
nameserver fe80::5054:ff:feab:c912%ens3
nameserver fd2e:6f44:5dd8:c956::1

Comment 4 errata-xmlrpc 2020-05-04 11:35:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.